#!/usr/bin/env python
# -*- coding: utf-8 -*-
# pylint: disable=invalid-name, too-many-arguments, broad-except, anomalous-backslash-in-string
# pylint: disable=missing-docstring, line-too-long, too-few-public-methods

import random


def random_string(str_len):
    """
    随机生成指定长度的字符串
    :param str_len: 指定长度[int]
    :return: [string]
    """
    res = ''
    for i in range(str_len):
        res += chr(int(random.random() * 100) % 26 + 65)

    return res


# ------------------------
#   Demo
# ------------------------
if __name__ == '__main__':
    print random_string(32)
